/**
 * IntegrityCheckAlgorithm.java
 *
 * File generated from the medication::IntegrityCheckAlgorithm uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration IntegrityCheckAlgorithm.
 *
 * 
 */

@XmlType(name = "IntegrityCheckAlgorithm")
@XmlEnum
@XmlRootElement(name = "IntegrityCheckAlgorithm")
public enum IntegrityCheckAlgorithm {
	@XmlEnumValue("SHA-1")
	SHA1("SHA-1"),
	@XmlEnumValue("SHA-256")
	SHA256("SHA-256");
	
	private final String value;

    IntegrityCheckAlgorithm(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static IntegrityCheckAlgorithm fromValue(String v) {
        for (IntegrityCheckAlgorithm c: IntegrityCheckAlgorithm.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}